Package org.eclipse.lemminx.dom

## Class SchemaLocation

- java.lang.Object
- - org.eclipse.lemminx.dom.SchemaLocation

    public class SchemaLocation
    extends Object

The declared "xsi:schemaLocation"

### Constructor Summary

Constructors
`SchemaLocation​(DOMAttr attr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DOMAttr` `getAttr()`
`SchemaLocationHint` `getLocationHint​(String namespaceURI)` Returns the location hint, as a string, that is associated with the given namespace URI.
`Collection<SchemaLocationHint>` `getSchemaLocationHints()` Returns all the location hints given in this xsi:schemaLocation attribute

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaLocation

    public SchemaLocation​(DOMAttr attr)

### Method Detail

#### getLocationHint

    public SchemaLocationHint getLocationHint​(String namespaceURI)

Returns the location hint, as a string, that is associated with the given namespace URI. If the given namespace URI was not referred to in this xsi:schemaLocation, then null is returned.

Parameters:
  `namespaceURI` - The namespace URI to find the location hint for
Returns:
  The associated location hint, as a string, or null if the namespace was not referred to in xsi:schemaLocation

#### getAttr

    public DOMAttr getAttr()

#### getSchemaLocationHints

    public Collection<SchemaLocationHint> getSchemaLocationHints()

Returns all the location hints given in this xsi:schemaLocation attribute

Returns:
  A Collection of all the location hints as `SchemaLocationHint`